URTW(4)

NAME
urtw - Realtek RTL8187B/L USB IEEE 802.11b/g wireless network device

SYNOPSIS
urtw* at uhub? port ?

DESCRIPTION
The urtw driver supports USB 802.11b/g wireless adapters based on the Realtek RTL8187B/L.

urtw supports station and monitor mode operation. Only one virtual interface may be configured at any time. For more information on configuring this device, see ifconfig(8).

HARDWARE
The urtw driver supports Realtek RTL8187B/L based wireless network devices, including:

Card | Radio | Bus
Belkin F5D7050E | RTL8225 | USB
Linksys WUSB54GCv2 | RTL8225 | USB
Netgear WG111v2 | RTL8225 | USB
Netgear WG111v3 | RTL8225 | USB
Safehome WLG-1500SMA5 | RTL8225 | USB
Shuttle XPC Accessory PN20 | RTL8225 | USB
Sitecom WL168v1 | RTL8225 | USB
Sitecom WL168v4 | RTL8225 | USB
SureCom EP-9001-g(2A) | RTL8225 | USB
TRENDnet TEW-424UB V3.xR | RTL8225 | USB

EXAMPLES
ifconfig.if(5) example configures urtw0 to join whatever network is available on boot, using WEP key “0x1deadbeef1”, channel 11, obtaining an IP address using DHCP:

    nwkey 0x1deadbeef1 chan 11
    dhcp

Join an existing BSS network, “my_net”:

    # ifconfig urtw0 192.168.1.1 netmask 0xffffff00 nwid my_net

SEE ALSO
arp(4), netintro(4), usb(4), ifconfig.if(5), wpa_supplicant.conf(5), ifconfig(8), wpa_supplicant(8) Realtek: http://www.realtek.com.tw

HISTORY
The urtw device driver first appeared in FreeBSD 8.0 and NetBSD 6.0.

AUTHORS
-nosplit The urtw driver was written by Weongyo Jeong <weongyo@FreeBSD.org>.